@charset "UTF-8";
.popularblog {
  background: white;
  box-shadow: 0 2px 10px rgba(0, 0, 0, 0.16);
  border-radius: 3%;
  width: 450px;
  height: 320px;
  cursor: pointer;
  text-decoration: none;
  display: inline-block;
  margin: 10px;
}

.Pimgcontainer {
  margin-inline: auto;
  width: 320px;
  height: 195px;
  border: solid 1px rgb(196, 196, 196);
  z-index: 2;
  position: relative;
  display: flex;
  overflow: hidden;
  justify-content: center;
  align-items: center;
}

.popularblog:hover {
  box-shadow: 0 0px 10px rgb(122, 201, 247);
}

.Ptitle_container {
  display: flex;
  justify-content: center;
  height: 75px;
  width: 80%;
  margin-inline: auto;
}

.Ptitle {
  font-size: 20px;
  font-family: "Noto Sans JP", "ヒラギノ角ゴ Pro W3", "Hiragino Kaku Gothic Pro", "メイリオ", "Meiryo", sans-serif;
  font-weight: bold;
  color: black;
}

.Pcategory {
  background: rgb(230, 144, 45);
  height: 30px;
  line-height: 30px;
  width: 100px;
  margin: 5px 0 5px 200px;
  border-radius: 20px;
  color: white;
  text-align: center;
  position: absolute;
  z-index: 3;
  right: 85px;
}

.Pimg {
  width: 100%;
  object-fit: contain;
  object-position: center;
  transition: all 0.2s ease;
}

.popularblog:hover .Pimg {
  transform: scale(1.1);
}

/* ↑旧バージョン　　　↓　新バージョン */
.imgcontainer {
  width: 100%;
  justify-content: center;
  align-items: center;
  display: flex;
  margin-bottom: 5.1rem;
  aspect-ratio: 844/443;
}
@media screen and (max-width: 480px) {
  .imgcontainer {
    margin-bottom: 2rem;
  }
}

.blogtitleimage {
  margin-inline: auto;
  object-fit: cover;
  max-width: 100%;
  max-height: 100%;
}

.mokujiimg {
  width: 2.5rem;
  height: 2.5rem;
  margin-right: 0.3rem;
}

.mokujititle {
  text-align: center;
  font-size: 1.6rem;
  font-weight: 500;
  line-height: 5rem;
  height: 5rem;
  display: flex;
  align-items: center;
  justify-content: center;
}

ul p {
  margin: 5px;
}

ol p {
  margin: 5px;
}

a {
  text-decoration: none;
}

.h2mokuji,
.h3mokuji {
  display: flex;
  font-size: 1.5rem;
  font-weight: 500;
  min-height: 2.8rem;
}

.h3mokuji {
  margin-left: 1.5rem;
}

.h3mokuji div {
  min-width: 3.2rem;
}

.a_h2_mokuji {
  margin-left: 0.6rem;
  padding-left: 1.5rem;
  position: relative;
  color: rgb(58, 57, 57);
}

.a_h2_mokuji::before {
  content: "|";
  position: absolute;
  left: 0rem;
  color: rgb(58, 57, 57);
}

.a_h3_mokuji {
  margin-left: 0.6rem;
  padding-left: 1.5rem;
  position: relative;
  color: rgb(58, 57, 57);
}

.a_h3_mokuji::before {
  content: "|";
  position: absolute;
  left: 0rem;
  color: rgb(58, 57, 57);
}

.side_mokuji_content .a_h3_mokuji {
  width: 29rem;
}

.mokujicontainer .a_h3_mokuji {
  width: 38rem;
}

.a_h3_mokuji {
  margin-left: 0.6rem;
  padding-left: 1.5rem;
  position: relative;
  color: rgb(58, 57, 57);
}

/* 編集画面の時はblogcontentではなくpreviewがコンテナになるのでblogcontent h2を変更するときはpreview h2やh3も同じように変更するように */
.blogcontent,
.preview {
  color: rgb(43, 43, 43);
  font-size: 1.8rem;
  letter-spacing: 0.1em;
  line-height: 3rem;
}
.blogcontent .tag_container,
.preview .tag_container {
  font-size: 1.4rem;
  margin-block: 1rem;
}
.blogcontent .tag_container a,
.preview .tag_container a {
  color: rgb(58, 57, 57);
}
@media screen and (max-width: 900px) {
  .blogcontent,
  .preview {
    font-size: 1.5rem;
  }
}
@media screen and (max-width: 480px) {
  .blogcontent,
  .preview {
    font-size: 1.6rem;
  }
}
.blogcontent h1,
.preview h1 {
  line-height: 4.8rem;
  font-size: 3.2rem;
}
@media screen and (max-width: 900px) {
  .blogcontent h1,
  .preview h1 {
    line-height: 4rem;
    font-size: 2.6rem;
  }
}
.blogcontent h2,
.preview h2 {
  padding-inline: 0.3rem;
  font-size: 2.4rem;
  font-weight: bold;
  margin-top: 8.4rem;
  margin-bottom: 3rem;
  line-height: 3rem;
  padding-bottom: 1rem;
  position: relative;
}
.blogcontent h2::before,
.blogcontent h2::after,
.preview h2::before,
.preview h2::after {
  content: "";
  position: absolute;
  bottom: 0;
  height: 0.2rem;
  /* ボーダーの厚さ */
}
.blogcontent h2::before,
.preview h2::before {
  left: 0;
  width: 20%;
  background-color: rgb(0, 199, 243);
}
.blogcontent h2::after,
.preview h2::after {
  left: 20%;
  width: 80%;
  background-color: rgb(217, 217, 217);
}
.blogcontent h3,
.preview h3 {
  padding-inline: 1.3rem;
  border-left: solid 0.2rem rgb(0, 199, 243);
  font-size: 1.8rem;
  margin-block: 6.35rem 4.45rem;
  font-weight: 500;
}
.blogcontent h4,
.preview h4 {
  padding-inline: 13px;
  color: #617da1;
  border-left: solid 5px #C4D5F8;
  font-size: 1.8rem;
  margin-block: 30px;
  line-height: 38px;
  background: #e7efff;
}
.blogcontent p,
.preview p {
  margin: 0;
  line-height: 3rem;
}
.blogcontent iframe,
.preview iframe {
  max-width: 95%;
}
.blogcontent table,
.preview table {
  border-collapse: collapse;
}
.blogcontent table thead tr,
.preview table thead tr {
  border-bottom: solid 1px #b3b3b3;
}
.blogcontent table tbody tr,
.preview table tbody tr {
  border-bottom: solid 1px #d6d6d6;
}
.blogcontent table th,
.preview table th {
  padding-block: 7px;
  padding-right: 20px;
}
.blogcontent table td,
.preview table td {
  padding-block: 7px;
  padding-right: 20px;
}
.blogcontent .mokujicontainer,
.preview .mokujicontainer {
  border: solid 0.1rem rgb(180, 220, 237);
  border-radius: 0.1rem;
  width: 54.6rem;
  margin-inline: auto;
  margin-block: 1.6rem 2rem;
  padding: 0rem 4rem 2rem;
}
@media screen and (max-width: 1190px) {
  .blogcontent .mokujicontainer,
  .preview .mokujicontainer {
    border: solid 0.1rem rgb(180, 220, 237);
    border-radius: 0.1rem;
    max-width: 54.6rem;
    width: 95%;
    margin-inline: auto;
    margin-block: 1.6rem 2rem;
    padding: 0rem 5% 5%;
  }
  .blogcontent .mokujicontainer .a_h3_mokuji,
  .preview .mokujicontainer .a_h3_mokuji {
    max-width: 42rem;
    width: 80%;
  }
}
@media screen and (max-width: 480px) {
  .blogcontent .mokujicontainer,
  .preview .mokujicontainer {
    padding: 0rem 2rem 2rem;
  }
}

blockquote {
  margin-inline: 38px;
}

blockquote span {
  color: #617da1;
  position: relative;
}

/* .quote p {
    margin: 0;
} */
blockquote span::before {
  content: "";
  background: url(/img/quote.svg) no-repeat center center;
  width: 3rem;
  height: 3rem;
  background-size: 2rem;
  position: absolute;
  top: -1.5rem;
  left: -3rem;
}

blockquote span::after {
  content: "";
  transform: rotate(180deg);
  background: url(/img/quote.svg) no-repeat center center;
  width: 3rem;
  height: 3rem;
  background-size: 2rem;
  position: absolute;
  bottom: -1rem;
  right: -3rem;
}

.CTT {
  margin-bottom: 20px;
}

.category_time_container {
  display: flex;
  font-size: 1.2rem;
  margin-bottom: 1rem;
}

.tag_icon {
  width: 2rem;
  margin-right: 0.9rem;
}

.content_category {
  background: rgb(125, 26, 224);
  color: white;
  font-weight: 700;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 0.3rem;
  min-width: 8.6rem;
}

.content_createdat {
  margin-left: 2.6rem;
  font-weight: 500;
}

.content_updatedat {
  margin-left: 2.6rem;
  font-weight: 500;
  display: flex;
  justify-content: center;
  align-items: center;
}

.updated_at_icon {
  width: 2rem;
  height: 2rem;
  margin-right: 0.5rem;
}

.postimagecontainer {
  display: flex;
}

.postimage {
  max-width: 100%;
  max-height: 300px;
  margin-inline: auto;
  margin-block: 5rem;
}

.banner_link {
  display: flex;
  width: 100%;
  justify-content: center;
  align-items: center;
}

.pc_link1 {
  margin-top: 4rem;
}

.sp_link1 {
  margin-top: 2rem;
}

@media (min-width: 480px) {
  .sp_link1 {
    display: none;
  }
}
@media (max-width: 480px) {
  .pc_link1 {
    display: none;
  }
}
.link2 {
  margin-block: 8rem;
  width: 55%;
  margin-inline: auto;
}
@media screen and (max-width: 480px) {
  .link2 {
    width: 80%;
    margin-block: 3rem;
  }
}

.banner_img {
  width: 100%;
}
@media screen and (max-width: 480px) {
  .banner_img {
    width: 75%;
    margin-inline: auto;
  }
}

@media (max-width: 480px) {
  ol:not(.mokujicontainer ol) {
    padding-inline-start: 2.7rem;
  }
  ul {
    padding-inline-start: 2.7rem;
  }
}
@media (min-width: 480px) {
  ol:not(.mokujicontainer ol) {
    padding-inline-start: 53px;
  }
  ul {
    padding-inline-start: 53px;
  }
}
.h2mokuji {
  padding-inline-start: 6px;
}

ul li:not(.h2mokuji) {
  list-style-type: disc;
  margin-bottom: 1.5rem;
}

.box {
  margin-block: 26px;
  border: rgb(0, 199, 243) solid 0.1rem;
  border-radius: 0.1rem;
  padding: 4rem 5rem;
}
@media screen and (max-width: 800px) {
  .box {
    padding: 2rem 2rem;
  }
}

.colorbox {
  background: #f2feff;
  margin-block: 26px;
  border: rgb(107, 212, 223) solid 0.1rem;
  border-radius: 0.1rem;
  padding: 4rem 5rem;
}

pre {
  position: relative !important;
  padding-top: 52px !important;
}

pre::after:hover {
  background: #9c9c9c;
}

.language_name {
  color: #617da1;
  border-left: solid 5px #C4D5F8;
  font-size: 16px;
  margin-block: 5px;
  margin-left: 6px;
  height: 42px;
  line-height: 38px;
  background: #e7efff;
}

.language_name {
  background: #92edef;
  width: 89px;
  height: 28px;
  content: "html";
  display: flex;
  position: absolute;
  align-items: center;
  justify-content: center;
  border-radius: 3px;
  top: 10px;
  text-align: center;
  font-size: 15px;
  color: #4d3131;
  z-index: 100;
}

.copy_button {
  background: #575757;
  width: 45px;
  height: 45px;
  line-height: 54px;
  display: block;
  position: absolute;
  border-radius: 30px;
  top: 7px;
  right: 30px;
  text-align: center;
  font-size: 20px;
  color: #4d3131;
  cursor: pointer;
  z-index: 100;
}

.copy_button:hover {
  background: #9c9c9c;
}

.code_meta_container {
  margin-top: 15px;
  position: relative;
}

.article_link_container {
  display: flex;
}

.article_link_img_container {
  border: solid 4px #CFD8E7;
  width: 23rem;
  aspect-ratio: 883/443;
  display: flex;
}

@media screen and (max-width: 480px) {
  .article_link_container {
    display: block;
  }
  .article_link_img_container {
    border: solid 2px #CFD8E7;
    width: 90%;
    margin-inline: auto;
    height: -webkit-fill-available;
    aspect-ratio: 883/443;
    display: flex;
  }
  .box {
    margin-block: 26px;
    border: rgb(0, 199, 243) solid 0.1rem;
    border-radius: 0.1rem;
    padding: 2rem 2rem;
  }
  .article_link_title_container {
    display: flex;
    width: 90%;
    margin-inline: auto;
    margin-top: 1rem;
  }
}
.article_link_img {
  max-height: 100%;
  max-width: 100%;
  margin: auto;
}

.article_link_message {
  font-size: 19px;
  color: #CFD8E7;
  font-weight: bold;
  height: 40px;
  line-height: 41px;
  margin-top: -10px;
}

.article_link_title_container {
  display: flex;
}

.article_link_title {
  margin-left: 16px;
  font-size: 16px;
  font-weight: bold;
  margin-block: auto;
}

.article_link_preface {
  margin-left: 25px;
}

.article_link_message + p {
  margin: 0;
}

.article_box {
  margin-top: 10px;
  border: #c4d5fb solid 3px;
  border-radius: 3px;
  cursor: pointer;
}

.article_comment {
  font-size: 20px;
  font-weight: bold;
  padding-left: 10px;
  color: #c4d5fb;
}

.article_container {
  display: flex;
}

.article_image_container {
  margin: 10px;
  width: 150px;
  height: 70px;
  border: #b0caed 3px solid;
  border-radius: 5px;
}

.article_title {
  margin: 10px;
}

.article_change:hover {
  cursor: pointer;
  box-shadow: 1px 0px 10px #92d7eb;
}

.affiliate_button_grid {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 3rem;
}

.amazonlink {
  background: #ff9445;
  color: white;
  display: flex;
  width: 100%;
  min-width: 10rem;
  min-height: 4rem;
  margin-inline: auto;
  text-align: center;
  border-radius: 5px;
  margin-bottom: 5px;
  justify-content: center;
  align-items: center;
}

.amazonlink:hover {
  background: #ecb085;
}

.rakutenlink {
  background: #f80f0f;
  color: white;
  display: flex;
  width: 100%;
  min-width: 10rem;
  min-height: 4rem;
  margin-inline: auto;
  text-align: center;
  border-radius: 5px;
  margin-bottom: 5px;
  justify-content: center;
  align-items: center;
}

.rakutenlink:hover {
  background: #eb6666;
}

.affiliate_box {
  display: flex;
  width: 100%;
  border: solid 0.1rem orange;
  padding: 3rem;
}

.affiliate_img_container {
  width: 35%;
}

.affiliate_img_container img {
  margin: 0;
}

.affiliate_right_container {
  margin-left: 5rem;
  width: 55%;
}

.affiliate_title {
  font-size: 1.6rem;
  font-weight: 500;
  min-height: 7rem;
  display: flex;
  align-items: center;
}

@media screen and (max-width: 480px) {
  .affiliate_box {
    display: flex;
    flex-direction: column;
    width: 100%;
    border: solid 0.1rem orange;
    padding: 3rem;
  }
  .affiliate_img_container {
    width: 80%;
    margin-inline: auto;
  }
  .affiliate_img_container img {
    margin: 0;
  }
  .affiliate_right_container {
    margin-left: 0;
    width: 80%;
    margin-inline: auto;
  }
  .affiliate_title {
    font-size: 1.4rem;
    font-weight: 500;
    min-height: 4rem;
    display: flex;
    align-items: center;
  }
  .affiliate_button_grid {
    display: grid;
    grid-template-columns: 1fr;
    gap: 1rem;
  }
}